apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
  name: socktop-webterm
  labels:
    app: socktop-webterm
spec:
  ingressClassName: traefik
  defaultBackend:
    service:
      name: socktop-webterm
      port:
        number: 8082
  rules:
    - host: socktop.io
      http:
        paths:
          - backend:
              service:
                name: socktop-webterm
                port:
                  number: 8082
            path: /
            pathType: Prefix
    - host: www.socktop.io
      http:
        paths:
          - backend:
              service:
                name: socktop-webterm
                port:
                  number: 8082
            path: /
            pathType: Prefix
    - host: origin.socktop.io
      http:
        paths:
          - backend:
              service:
                name: socktop-webterm
                port:
                  number: 8082
            path: /
            pathType: Prefix
